
package spark.storage.html

import twirl.api._
import TemplateMagic._


/**/
object rdd extends BaseScalaTemplate[twirl.api.Html,Format[twirl.api.Html]](twirl.api.HtmlFormat) with twirl.api.Template2[spark.storage.RDDInfo,Array[spark.storage.StorageStatus],twirl.api.Html] {

  /**/
  def apply/*1.2*/(rddInfo: spark.storage.RDDInfo, storageStatusList: Array[spark.storage.StorageStatus]):twirl.api.Html = {
      _display_ {import spark.Utils


Seq(format.raw/*1.89*/("""
"""),format.raw/*3.1*/("""
"""),_display_(Seq(/*4.2*/spark/*4.7*/.common.html.layout(title = "RDD Info ")/*4.47*/ {_display_(Seq(format.raw/*4.49*/("""
  
  <!-- High-Level Information -->
  <div class="row">
    <div class="span12">
      <ul class="unstyled">
        <li>
          <strong>Storage Level:</strong> 
          """),_display_(Seq(/*12.12*/(rddInfo.storageLevel.description))),format.raw/*12.46*/("""
        <li>
          <strong>Cached Partitions:</strong>
          """),_display_(Seq(/*15.12*/(rddInfo.numCachedPartitions))),format.raw/*15.41*/("""
        </li>
        <li>
          <strong>Total Partitions:</strong>
          """),_display_(Seq(/*19.12*/(rddInfo.numPartitions))),format.raw/*19.35*/("""
        </li>
        <li>
          <strong>Memory Size:</strong>
          """),_display_(Seq(/*23.12*/{Utils.memoryBytesToString(rddInfo.memSize)})),format.raw/*23.56*/("""
        </li>
        <li>
          <strong>Disk Size:</strong>
          """),_display_(Seq(/*27.12*/{Utils.memoryBytesToString(rddInfo.diskSize)})),format.raw/*27.57*/("""
        </li>
      </ul>
    </div>
  </div>

  <hr/>

  <!-- RDD Summary -->
  <div class="row">
    <div class="span12">
      <h3> RDD Summary </h3>
      <br/>
      

      <!-- Block Table Summary -->
      <table class="table table-bordered table-striped table-condensed sortable">
        <thead>
          <tr>
            <th>Block Name</th>
            <th>Storage Level</th>
            <th>Size in Memory</th>
            <th>Size on Disk</th>
          </tr>
        </thead>
        <tbody>
          """),_display_(Seq(/*53.12*/storageStatusList/*53.29*/.flatMap(_.blocks).toArray.sortWith(_._1 < _._1).map/*53.81*/ { case (k,v) =>_display_(Seq(format.raw/*53.97*/(""" 
            <tr>
              <td>"""),_display_(Seq(/*55.20*/k)),format.raw/*55.21*/("""</td>
              <td>
                 """),_display_(Seq(/*57.19*/(v.storageLevel.description))),format.raw/*57.47*/("""
              </td>
              <td>"""),_display_(Seq(/*59.20*/{Utils.memoryBytesToString(v.memSize)})),format.raw/*59.58*/("""</td>
              <td>"""),_display_(Seq(/*60.20*/{Utils.memoryBytesToString(v.diskSize)})),format.raw/*60.59*/("""</td>
            </tr>
          """)))})),format.raw/*62.12*/("""
        </tbody>
      </table>


    </div>
  </div>

  <hr/>

  <!-- Worker Table -->
  <div class="row">
    <div class="span12">
      <h3> Worker Summary </h3>
      <br/>
       """),_display_(Seq(/*77.9*/worker_table(storageStatusList, "rdd_" + rddInfo.id ))),format.raw/*77.62*/("""
    </div>
  </div>

""")))})))}
  }

  def render(rddInfo:spark.storage.RDDInfo,storageStatusList:Array[spark.storage.StorageStatus]) = apply(rddInfo,storageStatusList)

  def f:((spark.storage.RDDInfo,Array[spark.storage.StorageStatus]) => twirl.api.Html) = (rddInfo,storageStatusList) => apply(rddInfo,storageStatusList)

  def ref = this

}
              /*
                  -- GENERATED --
                  DATE: Sat May 18 20:59:34 PDT 2013
                  SOURCE: /home/jey/work/spark-0.7/core/src/main/twirl/spark/storage/rdd.scala.html
                  HASH: d938f9840fac6458f6ffe96593b37e30f787f5c0
                  MATRIX: 302->1|469->88|496->109|527->111|539->116|587->156|621->158|830->336|886->370|988->441|1039->470|1154->554|1199->577|1309->656|1375->700|1483->777|1550->822|2100->1341|2126->1358|2187->1410|2236->1426|2305->1464|2328->1465|2402->1508|2452->1536|2523->1576|2583->1614|2639->1639|2700->1678|2767->1713|2983->1899|3058->1952
                  LINES: 12->1|16->1|17->3|18->4|18->4|18->4|18->4|26->12|26->12|29->15|29->15|33->19|33->19|37->23|37->23|41->27|41->27|67->53|67->53|67->53|67->53|69->55|69->55|71->57|71->57|73->59|73->59|74->60|74->60|76->62|91->77|91->77
                  -- GENERATED --
              */
          